
-------------------------------------------------------------------------------
--# GtkFixed (deprecated)
-- This leads to uncooperative, unfriendly and un-maintainable layouts.
-- IOW, just like Windows. 
-- Please do NOT learn to use this widget!
-------------------------------------------------------------------------------

include GtkEngine.e	

constant docs = `<u><b>GtkFixed</b></u> lets you 
position objects manually. Not really
a good idea usually, since it prevents 
your program's users from being able to
resize the window, text, etc. to make 
your program more usable.`

constant win = create(GtkWindow,"size=200x100,border_width=10,position=1,$destroy=Quit")

constant panel = create(GtkFixed)
    add(win,panel)

constant lbl = create(GtkLabel)
    set(lbl,"markup",docs)
    set(panel,"put",lbl,2,2)

constant img = create(GtkImage,"thumbnails/tiphat1.gif")
    set(panel,"put",img,25,60)

constant btn1 = create(GtkButton,"gtk-quit","Quit")
    set(panel,"put",btn1,160,80)

show_all(win)
main()
